Google Safe Browsing API v4 launch, v3 client support to end early 2017.

Discussion in 'other software & services' started by TheWindBringeth, May 23, 2016.

  1. TheWindBringeth

    TheWindBringeth Registered Member

    Joined:
    Feb 29, 2012
    Posts:
    2,084
    https://security.googleblog.com/2016/05/evolving-safe-browsing-api.html
    https://developers.google.com/safe-browsing/
    https://developers.google.com/safe-browsing/v4/

    I'd suggest interested parties take a critical look at this. Particularly the Update API (v4).
     
  2. marzametal

    marzametal Registered Member

    Joined:
    Mar 19, 2014
    Posts:
    731
    Is this all the safebrowsing.xxxx stuff in FF's about:config?
     
  3. TheWindBringeth

    TheWindBringeth Registered Member

    Joined:
    Feb 29, 2012
    Posts:
    2,084
    Yes, with the caveat that Firefox uses Google's safebrowsing service plus its own safe browsing service for tracking protection. I haven't found a bug report or related discussion that sheds light on Mozilla's thoughts on this situation.

    Edit:

    Add support for version 4 of the Safe Browsing protocol
    https://bugzilla.mozilla.org/showdependencytree.cgi?id=1167038
     
    Last edited: May 23, 2016
Loading...